Valutazione 4.87/ 5 (100.00%) 5838 voti

Condividi:        

Mandrake ed installazioni pacchetti

Per tutti i tuoi problemi Linux entra qui e risolvili!

Moderatori: gunter, zendune

Mandrake ed installazioni pacchetti

Postdi segugiofan » 07/03/05 14:54

Ciao a tutti,dovrei installare konversation su mandrake 10.1 e ho saputo che in cooker contrib è presente il pacchetto konversation-0.15.1-1mdk.i586.rpm.La lista delle dipendenze è questa:
kdebase >= 3.0 ---> {kdebase-3.3.2-74mdk}
/bin/sh
/bin/sh
rpmlib(PayloadFilesHavePrefix)
rpmlib(CompressedFileNames)
bash ---> {bash-3.0-2mdk}
coreutils ---> {coreutils-5.2.1-5mdk}
perl-base ---> {perl-base-5.8.6-6mdk}
libDCOP.so.4 ---> {libkdecore4-3.3.2-94mdk}
libX11.so.6 ---> {libxorg-x11-6.8.2-0.6mdk}
libc.so.6 ---> {glibc-2.3.4-6mdk}
libc.so.6(GLIBC_2.0) ---> {glibc-2.3.4-6mdk}
libc.so.6(GLIBC_2.1.3) ---> {glibc-2.3.4-6mdk}
libgcc_s.so.1 ---> {libgcc1-3.4.3-3mdk}
libgcc_s.so.1(GLIBC_2.0) ---> {libgcc1-3.4.3-3mdk}
libkabc.so.1 ---> {libkdecore4-3.3.2-94mdk}
libkdecore.so.4 ---> {libkdecore4-3.3.2-94mdk}
libkdeui.so.4 ---> {libkdecore4-3.3.2-94mdk}
libkio.so.4 ---> {libkdecore4-3.3.2-94mdk}
libqt-mt.so.3 ---> {libqt3-3.3.4-4mdk}
libstdc++.so.6 ---> {libstdc++6-3.4.3-3mdk}
libstdc++.so.6(GLIBCXX_3.4) ---> {libstdc++6-3.4.3-3mdk}
Leggendo nel web ho potuto capire che dovrei aggiungere in gestione sorgenti,la sorgente della cooker contrib,poi andare in installazione pacchetti e selezionare il pacchetto desiderato,se dovesse chiedermi d'installare qualche altro pacchetto bene se fossero troppi dovrei annullare.
Veramente non so come procedere,mi aiutate?
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53

Sponsor
 

Postdi caladio » 07/03/05 15:46

ma cos'è mandrake cooker? :eeh:
caladio
caladio
Utente Senior
 
Post: 506
Iscritto il: 11/02/02 01:00
Località: italia

Postdi zendune » 07/03/05 16:15

Dai i comandi da root in console:
urpmi.addmedia main102 ftp://sunsite.cnlab-switch.ch/mirror/ma ... media/main with media_info/hdlist.cz
urpmi.addmedia contrib102 ftp://sunsite.cnlab-switch.ch/mirror/ma ... ia/contrib with media_info/hdlist.cz

e puoi procedere. Ricordati poi di disattivarli nella normalità perché i pacchetti presenti appartengono alla versione in sviluppo (la 10.2 beta 3).
bye
Non exercitus neque thesauri praesidia regni sunt, verum amici, quos neque armis cogere neque auro parare queas: officio et fide pariuntur
Avatar utente
zendune
Moderatore
 
Post: 1633
Iscritto il: 15/03/03 18:34
Località: Brescia

Postdi segugiofan » 07/03/05 17:29

Scusa zendune,per pura curiosità,visitando questo sito http://easyurpmi.zarb.org/ seleziono cooker,scelgo un mirror per i pacchetti contrib poi come si potrebbe procedere?Ritornando alla domanda di partenza:una volta scaricati i pacchetti installo il programma giusto?In seguito vado in gestione sorgenti e disabilito i pacchetti cooker,giusto? ;)
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53

Postdi zendune » 07/03/05 18:40

Per la gestione dei pacchetti ok: prima installi e poi vai nella gestione sorgenti disabilitando le voci.
Scusa zendune,per pura curiosità,visitando questo sito http://easyurpmi.zarb.org/ seleziono cooker,scelgo un mirror per i pacchetti contrib poi come si potrebbe procedere?
Premi il tasto 'proceed step 3' e leggi sotto cosa devi digitare nell console root (simile a quanto ti ho indicato io). In effetti, pur selezionando cooker, ti viene fornito il link alla versione official (si vede che la versione 'cooker' era riferita alla 10.1, mentre quella che ti ho fornito io è per la futura 10.2). Se quello che cerci esiste nella versione official, meglio; altrimenti prova la 10.2 (con quello che ne consegue: i pacchetti sono in fase di sviluppo).
Non exercitus neque thesauri praesidia regni sunt, verum amici, quos neque armis cogere neque auro parare queas: officio et fide pariuntur
Avatar utente
zendune
Moderatore
 
Post: 1633
Iscritto il: 15/03/03 18:34
Località: Brescia

Postdi segugiofan » 07/03/05 19:19

zendune ha scritto:Per la gestione dei pacchetti ok: prima installi e poi vai nella gestione sorgenti disabilitando le voci.
Scusa zendune,per pura curiosità,visitando questo sito http://easyurpmi.zarb.org/ seleziono cooker,scelgo un mirror per i pacchetti contrib poi come si potrebbe procedere?
Premi il tasto 'proceed step 3' e leggi sotto cosa devi digitare nell console root (simile a quanto ti ho indicato io). In effetti, pur selezionando cooker, ti viene fornito il link alla versione official (si vede che la versione 'cooker' era riferita alla 10.1, mentre quella che ti ho fornito io è per la futura 10.2). Se quello che cerci esiste nella versione official, meglio; altrimenti prova la 10.2 (con quello che ne consegue: i pacchetti sono in fase di sviluppo).

Al punto tre quando da root inserisco la stringa urpmi.addmedia contrib ftp://bo.mirror.garr.it/mirrors/Mandrak ... ia/contrib with media_info/hdlist.cz
e dò invio ottengo:
il supporto "contrib" esiste già.
Come mai?Il supporto contrib esiste ma per la 10.1 official.Come procedo?
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53

Postdi zendune » 07/03/05 20:29

Basta che cambi il nome ''contrib'' in ''contribcooker'' così
urpmi.addmedia contribcooker ftp://bo.mirror.garr.it/mirrors/Mandrak ... ia/contrib with media_info/hdlist.cz
Lo puoi fare anche dal MCC > Gestione software > Gestione Sorgenti > Aggiungi
Selezioni server FTP. Nel campo nome metti ''contribcooker''. URL: ftp://bo.mirror.garr.it/mirrors/Mandrak ... a/contrib/. Selezioni ''percorso relativo di synthesis/hdlist'' ed inserisci ''media_info/hdlist.cz''. E' uguale al comando che hai impartito sopra.
bye

PS Per main sarà: urpmi.addmedia maincooker ftp://bo.mirror.garr.it/mirrors/Mandrak ... media/main with media_info/hdlist.cz
Non exercitus neque thesauri praesidia regni sunt, verum amici, quos neque armis cogere neque auro parare queas: officio et fide pariuntur
Avatar utente
zendune
Moderatore
 
Post: 1633
Iscritto il: 15/03/03 18:34
Località: Brescia

Postdi segugiofan » 07/03/05 21:25

Perfetto zendune l'ho installato senza problemi,però quando avvio konversation dal menù,appare la clessidra,si vede il programma sulla barra delle applicazioni e poi si chiude da solo.Che cosa posso fare?Probabilmente il pacchetto cooker di konversation crea qualche conflitto.Che dici?
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53

Postdi zendune » 08/03/05 14:07

Lancia il programma da console e vedi cosa succede (alcuni programmi hanno anche delle opzioni, prova nome_programma --help e vedi che dice).
Non exercitus neque thesauri praesidia regni sunt, verum amici, quos neque armis cogere neque auro parare queas: officio et fide pariuntur
Avatar utente
zendune
Moderatore
 
Post: 1633
Iscritto il: 15/03/03 18:34
Località: Brescia

Postdi segugiofan » 08/03/05 16:45

Ciao zendune,purtroppo anche da console non si avviato,poi ho pensato di aggiornare kde alla versione 3.3.2 e come per miracolo,si è avviato konversation.Un'altra cosa ti vorrei domandare che riguarda l'upgrade di kde.Dato che l'ho aggiornato attraverso i repository di Turpeinen,che faccio,li disabilito come ho fatto per i cooker?
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53

Postdi zendune » 08/03/05 18:46

Visto che il passaggio è stato così "pesante" ti conviente tenerlo... Attento però: che i pacchetti utilizzati, bensì più aggiornati (3.3 contro 3.2) sono in fase di sviluppo: da testare, con bachi, con instabilità, ecc... Nel caso di falle di sicurezza ed altro, la Mandrake ti assicura l'aggiornamento della versione "stable" (dalla 9.2 alla 10.1), ma non la versione di sviluppo che segue i vari cicli di test.
Ok quindi all'upgrade tramite cooker ma solo se necessario (diverso se il tuo obiettivo è quello di essere il più aggiornato possibile).
Non exercitus neque thesauri praesidia regni sunt, verum amici, quos neque armis cogere neque auro parare queas: officio et fide pariuntur
Avatar utente
zendune
Moderatore
 
Post: 1633
Iscritto il: 15/03/03 18:34
Località: Brescia

Postdi segugiofan » 08/03/05 23:42

Va bene lascerò kde,però ho un altro dubbio: dato che il pacchetto konversation l'ho scaricato da cooker,quando uscirà una nuova versione,dovrò per forza abilitare il repository cooker da gestione sorgenti,poi fare l'aggiornamento dei pacchetti dal centro di controllo mandrake,vero? ;)
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53

Postdi zendune » 09/03/05 14:15

Sì, se non è stata inserita nella distribuzione ufficiale.
Stavo guardando adesso, ma konversation-0.14-1mdk è presente nella 10.1 :eeh: perché allora tutto questo caos per installare la 0.15 (che non dovrebbe avere così grandi differenze).
Non exercitus neque thesauri praesidia regni sunt, verum amici, quos neque armis cogere neque auro parare queas: officio et fide pariuntur
Avatar utente
zendune
Moderatore
 
Post: 1633
Iscritto il: 15/03/03 18:34
Località: Brescia

Postdi segugiofan » 09/03/05 15:02

Zendune,non lo sapevo proprio della minima differenza tra le due versioni,purtroppo male per me che non mi sono documentato.Ho pensato solamente al fatto,di installarne una nuova.Infatti,avevo notato che,tramite urpmiq -f konversation mi veniva indicata la 0.14-1e non l'ho installata.A questo punto cosa mi consigli,se c'è poca differenza tra le due,disinstallo questa e mi libero di tutti i cooker,eliminandoli da gestione sorgenti,oppure lascio tutto così. :undecided:
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53

Postdi zendune » 10/03/05 00:59

Fare un downgrade ? Mah :mmmh: o reinstalli tutto il SO o lasci stare ormai così, vedi tu quello che preferisci.
Non exercitus neque thesauri praesidia regni sunt, verum amici, quos neque armis cogere neque auro parare queas: officio et fide pariuntur
Avatar utente
zendune
Moderatore
 
Post: 1633
Iscritto il: 15/03/03 18:34
Località: Brescia

Postdi segugiofan » 10/03/05 12:33

Alla fine ho formattato.Grazie mille per l'aiuto :)
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53

Postdi zendune » 10/03/05 15:44

Spero tu abbia formattato tutto tranne /home: in questo modo tutte le impostazioni, configurazioni, url, posta, ecc... le poi riavere tranquillamente.
Non exercitus neque thesauri praesidia regni sunt, verum amici, quos neque armis cogere neque auro parare queas: officio et fide pariuntur
Avatar utente
zendune
Moderatore
 
Post: 1633
Iscritto il: 15/03/03 18:34
Località: Brescia

Postdi segugiofan » 11/03/05 15:18

Si,ho fatto così :) ;)
segugiofan
Utente Senior
 
Post: 925
Iscritto il: 05/08/03 19:53


Torna a Software Linux


Topic correlati a "Mandrake ed installazioni pacchetti":


Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti